FreeMat

- Main Page
- Related Pages

vtkWarpVector

Section: Visualization Toolkit Graphics Classes

# Usage

vtkWarpVector is a filter that modifies point coordinates by moving points along vector times the scale factor. Useful for showing flow profiles or mechanical deformation.

The filter passes both its point data and cell data to its output.

To create an instance of class vtkWarpVector, simply invoke its constructor as follows

      obj = vtkWarpVector

# Methods

The class vtkWarpVector has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkWarpVector class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkWarpVector = obj.NewInstance ()`
- `vtkWarpVector = obj.SafeDownCast (vtkObject o)`
- `obj.SetScaleFactor (double )` - Specify value to scale displacement.
- `double = obj.GetScaleFactor ()` - Specify value to scale displacement.